"Module for the computation of Fibonacci series"

MAXFIBO=1000

def fibo(n):
    "Returns the Fibonacci series up to n"
    if n > MAXFIBO: return []
    result = []
    a, b = 0, 1
    while b < n:
        result.append(b)
        a, b = b, a+b
    return result

if __name__=='__main__': 
    print(fibo(34))
