import unittest
from numberplus1 import NumberPlus

class TestNumber(unittest.TestCase):

    def test_upper(self):
        self.assertTrue(NumberPlus(3).upper(), "Three")

    def test_sum(self):
        self.assertEqual((NumberPlus(2)+NumberPlus(5)).value, 7)

    def test_overflow(self):
        with self.assertRaises(IndexError):
            NumberPlus(12)

if __name__ == "__main__":
    unittest.main()
