class Fibo:
    "Iterator for the Fibonacci series"
    def __init__(self, maxv):
        self.maxv = maxv

    def __iter__(self):
        self.a = 0
        self.b = 1
        return self

    def __next__(self):
        fib = self.a
        if fib > self.maxv:
            raise StopIteration
        self.a, self.b = self.b, self.a + self.b
        return fib
